PDA

View Full Version : Ethereal Issues



sidd
4th August 2005, 01:44 PM
hello all,
after putting in hard yars and downloading darwin ports and fink and playing around a lot with them, i got ethereal installed on the box.
but when i ruun it see the output below.

sidd$ ethereal

(process:235): Gdk-WARNING **: locale not supported by Xlib

(process:235): Gdk-WARNING **: cannot set locale modifiers

(ethereal:235): Gtk-WARNING **: cannot open display:


help please .

tx
sidd

swherdman
4th August 2005, 03:56 PM
i am having silmilar problems but all i get is

(ethereal:12757): Gtk-WARNING **: cannot open display:

I did everything i could find relating to it, i installed x11 and every other package, still no luck

Danamania
4th August 2005, 03:59 PM
Originally posted by swherdman@Aug 4 2005, 03:56 PM
i am having silmilar problems but all i get is

(ethereal:12757): Gtk-WARNING **: cannot open display:

I did everything i could find relating to it, i installed x11 and every other package, still no luck
Are you running ethereal from within an X11 xterm? if not, try that - load X11 and when the term pops up for it, run from there. from memory it'll complain if it's not root - if that's the case doing:

sudo ethereal

then popping in your admin password may get you up & running.

dana

swherdman
4th August 2005, 09:03 PM
yea, tryed that, forgot it gave diffrent error, The error it gives this time is

No fonts found; this probably means that the fontconfig
library is not correctly configured. You may need to
edit the fonts.conf configuration file. More information
about fontconfig can be found in the fontconfig(3) manual
page and on http://fontconfig.org

Above is trying it with sudo and with just my standard account (admin)

but when i run it as root i get

Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified


(ethereal:12881): Gtk-WARNING **: cannot open display:

*sigh*

sidd
6th August 2005, 08:06 PM
did that using sudo
still showing the same errors

sidd---

redg
3rd December 2005, 02:11 AM
I've got issues somewhat different from others seen here and elsewhere in getting ethereal to run

(ethereal:23305): GdkPixbuf-WARNING **: Can not open pixbuf loader module file '
/sw/etc/gtk-2.0/gdk-pixbuf.loaders': No such file or directory

(ethereal:23305): GdkPixbuf-WARNING **: Error loading XPM image loader: Image ty
pe 'xpm' is not supported

(ethereal:23305): Gdk-CRITICAL **: file gdkpixbuf-render.c: line 293 (gdk_pixbuf
_render_pixmap_and_mask_for_colormap): assertion `GDK_IS_PIXBUF (pixbuf)' failed

(ethereal:23305): GdkPixbuf-WARNING **: Can not open pixbuf loader module file '
/sw/etc/gtk-2.0/gdk-pixbuf.loaders': No such file or directory

(ethereal:23305): GdkPixbuf-WARNING **: Error loading XPM image loader: Image ty
pe 'xpm' is not supported

** ERROR **: file toolbar.c: line 192 (ethereal_stock_icons): assertion failed:
(pixbuf)

I have tried fink rebuild gtk+2 gtk+2-shlibs a couple of times, but something is still not correct

any help will be most appreciated (I'm not completely inexpereinced with UNIX and the command line, but it's been a while)

thanks,
redg

redg
3rd December 2005, 02:21 AM
never mind . . .

I installed GTK+2 using FINK and Ethereal is working fine, now